public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/rhash/
Date: Sun, 13 Jan 2019 16:35:56 +0000 (UTC)	[thread overview]
Message-ID: <1547397326.d8bfaf0dae25f46f7806211690b9d8f6dbc86ea9.chewi@gentoo> (raw)

commit:     d8bfaf0dae25f46f7806211690b9d8f6dbc86ea9
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 13 16:35:26 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Jan 13 16:35:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8bfaf0d

app-crypt/rhash: Version bump to 1.3.7

Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-crypt/rhash/Manifest           |  1 +
 app-crypt/rhash/rhash-1.3.7.ebuild | 69 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/app-crypt/rhash/Manifest b/app-crypt/rhash/Manifest
index fb9fb020df9..f83ea66c4fd 100644
--- a/app-crypt/rhash/Manifest
+++ b/app-crypt/rhash/Manifest
@@ -1 +1,2 @@
 DIST rhash-1.3.6-src.tar.gz 328097 BLAKE2B c74993d183f0f2e479f0bd5831a9f653b9bd17bbed4d1ba896f6e33db98b7141175cd3c688dc41dfd8ec4b98acb51255ae5b795435cbc9dfb5ab77573cb25543 SHA512 54f7f238ed1fdc01c29cc1338fa86be90b69beff0df8f20d24ce9cb3c48c7f4668b84a3fe0d4d8b04b54bc8145485d493435edf3219de3a637af0f9c007c85c6
+DIST rhash-1.3.7-src.tar.gz 362981 BLAKE2B bc248e0dcdf2337e46292f1bcdff0ce027705679ab937c8aa13139226bc09f3815ba23d8383f624dfba255c54378473f6b0b28a710611cdc83150055b8d649d0 SHA512 182f474b0f0a39f9e0adb7e34fcc5ddca6f00e75d7cf6b846da33af166257b2ed38be70aa71e6732c4e6cbdd156712790b8bc5340933b65f3ce57269835d1585

diff --git a/app-crypt/rhash/rhash-1.3.7.ebuild b/app-crypt/rhash/rhash-1.3.7.ebuild
new file mode 100644
index 00000000000..b23f1bd9ec7
--- /dev/null
+++ b/app-crypt/rhash/rhash-1.3.7.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs multilib-minimal
+
+DESCRIPTION="Console utility and library for computing and verifying file hash sums"
+HOMEPAGE="http://rhash.anz.ru/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="debug nls libressl ssl static-libs"
+
+RDEPEND="
+	ssl? (
+		!libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+		libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+)"
+
+DEPEND="${RDEPEND}
+	nls? ( sys-devel/gettext )"
+
+S="${WORKDIR}/RHash-${PV}"
+
+src_prepare() {
+	default
+	multilib_copy_sources
+}
+
+multilib_src_configure() {
+	set -- \
+		./configure \
+		--target="${CHOST}" \
+		--cc="$(tc-getCC)" \
+		--ar="$(tc-getAR)" \
+		--extra-cflags="${CFLAGS}" \
+		--extra-ldflags="${LDFLAGS}" \
+		--prefix="${EPREFIX}"/usr \
+		--libdir="${EPREFIX}"/usr/$(get_libdir) \
+		--sysconfdir="${EPREFIX}"/etc \
+		--disable-openssl-runtime \
+		--disable-static \
+		--enable-lib-shared \
+		$(use_enable debug) \
+		$(use_enable nls gettext) \
+		$(use_enable ssl openssl) \
+		$(use_enable static-libs lib-static)
+
+	echo "${@}"
+	"${@}" || die "configure failed"
+}
+
+# We would add compile-gmo to the build targets but install-gmo always
+# recompiles unconditionally. :(
+
+multilib_src_install() {
+	# -j1 needed due to race condition.
+	emake DESTDIR="${D}" -j1 \
+		  install{,-lib-headers,-pkg-config} \
+		  $(use nls && echo install-gmo) \
+		  $(use kernel_Winnt || echo install-lib-so-link)
+}
+
+multilib_src_test() {
+	emake test
+}


             reply	other threads:[~2019-01-13 16:36 UTC|newest]

Thread overview: 100+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-13 16:35 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-08 14:06 [gentoo-commits] repo/gentoo:master commit in: app-crypt/rhash/ James Le Cuirot
2024-10-08 12:50 Sam James
2024-09-24 15:22 Sam James
2024-09-23  7:13 Arthur Zamarin
2024-09-23  6:02 Arthur Zamarin
2024-09-23  6:02 Arthur Zamarin
2024-09-23  6:02 Arthur Zamarin
2024-09-23  0:32 Sam James
2024-09-23  0:32 Sam James
2024-01-03 10:40 Sam James
2023-10-30 11:29 Sam James
2023-09-10 11:38 Fabian Groffen
2023-08-04  8:21 James Le Cuirot
2023-08-03 20:47 James Le Cuirot
2023-06-25 19:17 Sam James
2023-05-30 13:55 Fabian Groffen
2023-02-07  2:53 Sam James
2023-02-04 10:58 Sam James
2023-02-04 10:58 Sam James
2023-02-04 10:58 Sam James
2023-02-04  6:47 Arthur Zamarin
2023-02-04  6:47 Arthur Zamarin
2023-02-04  6:47 Arthur Zamarin
2023-02-04  6:47 Arthur Zamarin
2023-01-14 19:17 Sam James
2022-06-18  8:43 James Le Cuirot
2022-04-29  7:59 WANG Xuerui
2022-03-16 15:18 Sam James
2022-03-06  7:58 Sam James
2022-03-06  7:35 Sam James
2022-02-27 12:29 Jakov Smolić
2022-02-27 12:23 Jakov Smolić
2021-11-19  8:34 Sam James
2021-10-16 23:10 James Le Cuirot
2021-09-20 14:09 James Le Cuirot
2021-07-17  7:02 James Le Cuirot
2021-07-17  7:02 James Le Cuirot
2021-05-02 17:22 Mikle Kolyada
2021-01-28 19:31 Fabian Groffen
2021-01-07 21:48 James Le Cuirot
2021-01-06 12:55 Fabian Groffen
2020-12-18 14:49 Fabian Groffen
2020-08-17 22:21 James Le Cuirot
2019-08-05 23:55 Göktürk Yüksek
2019-08-04 18:42 James Le Cuirot
2019-08-04 18:42 James Le Cuirot
2019-06-13 13:07 Michael Haubenwallner
2019-06-13 13:07 Michael Haubenwallner
2019-03-03 10:43 James Le Cuirot
2019-01-14 18:32 Fabian Groffen
2019-01-13 20:01 James Le Cuirot
2019-01-09 15:12 Michael Haubenwallner
2018-12-01 15:05 Sergei Trofimovich
2018-11-13 20:23 Sergei Trofimovich
2018-09-13 21:35 James Le Cuirot
2018-09-13 19:23 Tobias Klausmann
2018-08-21 10:06 Mart Raudsepp
2018-08-17  0:33 Mikle Kolyada
2018-08-17  0:33 Mikle Kolyada
2018-08-16  0:39 Thomas Deutschmann
2018-08-11 18:55 Sergei Trofimovich
2018-08-08 22:04 Mikle Kolyada
2018-06-03 18:01 Mikle Kolyada
2018-04-28 22:27 Aaron Bauman
2018-03-25 18:53 James Le Cuirot
2018-03-24  8:28 Michał Górny
2018-03-22 21:07 James Le Cuirot
2018-03-02 16:09 Mart Raudsepp
2018-01-09  7:56 Fabian Groffen
2017-12-05  5:44 Markus Meier
2017-11-26 17:06 James Le Cuirot
2017-11-08 21:33 James Le Cuirot
2017-10-23 12:30 Michael Palimaka
2017-10-21 13:25 Tobias Klausmann
2017-10-15 22:27 Manuel Rüger
2017-10-14 17:20 Sergei Trofimovich
2017-10-13 12:03 Sergei Trofimovich
2017-10-13 11:31 Sergei Trofimovich
2017-09-12  7:26 Sergei Trofimovich
2017-09-12  7:26 Sergei Trofimovich
2017-09-02 12:58 James Le Cuirot
2017-09-02 12:38 James Le Cuirot
2017-09-02 12:38 James Le Cuirot
2017-08-17 21:12 James Le Cuirot
2017-08-10 20:34 Sergei Trofimovich
2017-06-30  7:08 Sergei Trofimovich
2017-06-20 12:48 Fabian Groffen
2017-06-15 14:23 Anthony G. Basile
2017-06-15 11:26 Alexis Ballier
2017-04-13 18:34 Fabian Groffen
2017-04-13 12:46 Fabian Groffen
2017-02-14 13:28 Jeroen Roovers
2017-02-14 13:28 Jeroen Roovers
2017-02-14 10:42 Tobias Klausmann
2017-02-10 21:11 James Le Cuirot
2017-02-10 21:11 James Le Cuirot
2016-09-16 21:27 James Le Cuirot
2016-09-16 21:27 James Le Cuirot
2016-07-21 16:19 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1547397326.d8bfaf0dae25f46f7806211690b9d8f6dbc86ea9.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox